Bug 109306 - kernel compiled with different version of gcc
Summary: kernel compiled with different version of gcc
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 1
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-06 18:40 UTC by jmccann
Modified: 2015-01-14 23:19 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-10 17:09:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description jmccann 2003-11-06 18:40:30 UTC
Description of problem:
The kernel was compiled with a different version of gcc.

Version-Release number of selected component (if applicable):

% cat /proc/version
Linux version 2.4.22-1.2115.nptl (bhcompile@daffy.perf.redhat.com)
(gcc version
3.2.3 20030422 (Red Hat Linux 3.2.3-6)) #1 Wed Oct 29 15:42:51 EST 2003

% gcc --version
gcc (GCC) 3.3.2 20031022 (Red Hat Linux 3.3.2-1)


This makes it harder to build drivers and stuff.

Comment 1 Shawn Walker 2003-11-06 20:35:11 UTC
This was intentional. It's in the release notes.

Comment 2 jmccann 2003-11-06 20:45:33 UTC
Ok, well I see this:
- gcc32 â Version 3.2.3 of GCC (used for building the kernel)

Good to know there is another version that I can use and that it was
intentional.  However, there should probably be a bit more explanation
than this.


Note You need to log in before you can comment on or make changes to this bug.